Bug 409970 - Kontact segfaults after having cause an important memory hole after having made use of spam filters).
Summary: Kontact segfaults after having cause an important memory hole after having ma...
Status: RESOLVED DUPLICATE of bug 401739
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.10.3
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2019-07-18 22:25 UTC by stakanov.s
Modified: 2019-08-05 20:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (44.51 KB, text/plain)
2019-07-29 20:23 UTC, stakanov.s
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stakanov.s 2019-07-18 22:25:54 UTC
Application: kontact (5.10.3)

Qt Version: 5.9.7
Frameworks Version: 5.55.0
Operating System: Linux 4.12.14-lp151.28.7-default x86_64
Distribution: "openSUSE Leap 15.1"

-- Information about the crash:
- What I was doing when the application crashed:
That was an idling kmail that in the meantime did receive a mail. 

- Unusual behavior I noticed:
Filter runs quite slowly. Amount of memory after this triples maybe hightens up to 5 times the normal amount. 
May crash the machine. The application did crash after check of mail. 


- Custom settings of the application:
spam is filtered by daemonized spamd instead of pearl.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f465c5e6540 (LWP 4071))]

Thread 30 (Thread 0x7f46167fc700 (LWP 15605)):
#0  0x00007f4654a61bdb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4649784962 in base::ConditionVariable::TimedWait () at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:117
#2  0x00007f464975a749 in base::PosixDynamicThreadPool::WaitForTask () at ../../3rdparty/chromium/base/threading/worker_pool_posix.cc:176
#3  0x00007f464975acab in ThreadMain () at ../../3rdparty/chromium/base/threading/worker_pool_posix.cc:86
#4  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#5  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7f451781a700 (LWP 15604)):
#0  0x00007f4652be7ff4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f4652ba16fc in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4652ba20db in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f4659a9896b in QEventDispatcherGlib::processEvents (this=0x7f4510004850, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7f4517819cb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#6  0x00007f465985bdaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#7  0x00007f4659860ced in QThreadPrivate::start (arg=0x55eb72a73290) at thread/qthread_unix.cpp:368
#8  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7f4529dad700 (LWP 15600)):
#0  0x00007f4658f36c98 in read () from /lib64/libc.so.6
#1  0x00007f4652be6ca0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4652ba1cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4652ba2150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f4659a9896b in QEventDispatcherGlib::processEvents (this=0x7f451c013b30, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7f4529daccb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f465985bdaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f4659860ced in QThreadPrivate::start (arg=0x55eb72706320) at thread/qthread_unix.cpp:368
#9  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7f44faffd700 (LWP 4155)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4649755c45 in base::SequencedWorkerPool::Inner::ThreadLoop () at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:1080
#2  0x00007f4649756127 in base::SequencedWorkerPool::Worker::Run () at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:611
#3  0x00007f4649756ec1 in base::SimpleThread::ThreadMain () at ../../3rdparty/chromium/base/threading/simple_thread.cc:68
#4  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#5  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7f44fb7fe700 (LWP 4154)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4649755c45 in base::SequencedWorkerPool::Inner::ThreadLoop () at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:1080
#2  0x00007f4649756127 in base::SequencedWorkerPool::Worker::Run () at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:611
#3  0x00007f4649756ec1 in base::SimpleThread::ThreadMain () at ../../3rdparty/chromium/base/threading/simple_thread.cc:68
#4  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#5  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7f450cb8a700 (LWP 4149)):
#0  0x00007f4658f36c98 in read () from /lib64/libc.so.6
#1  0x00007f4652be6ca0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4652ba1cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4652ba2150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f4659a9896b in QEventDispatcherGlib::processEvents (this=0x7f4500000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7f450cb89c50, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f465985bdaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f4651e27eff in ?? () from /usr/lib64/libKF5KIOCore.so.5
#9  0x00007f4659860ced in QThreadPrivate::start (arg=0x7f46520b4200) at thread/qthread_unix.cpp:368
#10 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f450ebc3700 (LWP 4132)):
#0  0x00007f4658f36c98 in read () from /lib64/libc.so.6
#1  0x00007f4652be6ca0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4652ba1cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4652ba2150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f4659a9896b in QEventDispatcherGlib::processEvents (this=0x7f44fc000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7f450ebc2cb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f465985bdaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007f4659860ced in QThreadPrivate::start (arg=0x55eb72d65410) at thread/qthread_unix.cpp:368
#9  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f450f3c4700 (LWP 4129)):
#0  QTimerInfoList::updateCurrentTime (this=this@entry=0x7f4504004ce0) at kernel/qtimerinfo_unix.cpp:90
#1  0x00007f4659a97095 in QTimerInfoList::timerWait (this=0x7f4504004ce0, tm=...) at kernel/qtimerinfo_unix.cpp:388
#2  0x00007f4659a986de in timerSourcePrepareHelper (timeout=0x7f450f3c3ae4, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:132
#3  timerSourcePrepare (source=<optimized out>, timeout=0x7f450f3c3ae4) at kernel/qeventdispatcher_glib.cpp:165
#4  0x00007f4652ba1709 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f4652ba20db in ?? () from /usr/lib64/libglib-2.0.so.0
#6  0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#7  0x00007f4659a9896b in QEventDispatcherGlib::processEvents (this=0x7f4504000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#8  0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7f450f3c3cb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#9  0x00007f465985bdaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#10 0x00007f4659860ced in QThreadPrivate::start (arg=0x55eb72d1bcb0) at thread/qthread_unix.cpp:368
#11 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#12 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f45295ac700 (LWP 4109)):
#0  0x00007f4658f3b19b in poll () from /lib64/libc.so.6
#1  0x00007f4652ba21a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4659a9896b in QEventDispatcherGlib::processEvents (this=0x7f4520000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7f45295abcb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f465985bdaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f4659860ced in QThreadPrivate::start (arg=0x55eb7251b480) at thread/qthread_unix.cpp:368
#7  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f452ac4e700 (LWP 4107)):
#0  0x00007f4658f3b19b in poll () from /lib64/libc.so.6
#1  0x00007f4652ba21a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4659a9896b in QEventDispatcherGlib::processEvents (this=0x7f4524000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7f452ac4dcb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f465985bdaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007f4659860ced in QThreadPrivate::start (arg=0x55eb72a7f350) at thread/qthread_unix.cpp:368
#7  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f45e257a700 (LWP 4106)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f46437ad574 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f46437ad5b9 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f45e2ffd700 (LWP 4102)):
#0  0x00007f4658f36c98 in read () from /lib64/libc.so.6
#1  0x00007f4620167701 in pa_read () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#2  0x00007f4628062e0e in pa_mainloop_prepare () from /usr/lib64/libpulse.so.0
#3  0x00007f4628063880 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f4628063940 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f46280717a9 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f4620196428 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#7  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f45e37fe700 (LWP 4101)):
#0  0x00007f4658f52b5c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f4658f548b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f46425bcffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f46425bd194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f46425beabc in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f46425b4764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f4649726b2d in base::MessagePumpLibevent::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:245
#7  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#8  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#9  0x00007f4649757486 in base::Thread::Run () at ../../3rdparty/chromium/base/threading/thread.cc:245
#10 base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#12 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f45e3fff700 (LWP 4098)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f464974b699 in base::WaitableEvent::TimedWait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#2  0x00007f464974b6c7 in base::WaitableEvent::Wait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#3  0x00007f46497264fb in base::MessagePumpDefault::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4649757486 in base::Thread::Run () at ../../3rdparty/chromium/base/threading/thread.cc:245
#7  base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#8  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#9  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f45f0ff9700 (LWP 4097)):
#0  0x00007f4654a61bdb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4649784962 in base::ConditionVariable::TimedWait () at ../../3rdparty/chromium/base/synchronization/condition_variable_posix.cc:117
#2  0x00007f464974b61e in base::WaitableEvent::TimedWait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:217
#3  0x00007f464972654b in base::MessagePumpDefault::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:82
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4649757486 in base::Thread::Run () at ../../3rdparty/chromium/base/threading/thread.cc:245
#7  base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#8  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#9  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f45f17fa700 (LWP 4095)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4649fca6f0 in cc::SingleThreadTaskGraphRunner::Run () at ../../3rdparty/chromium/cc/raster/single_thread_task_graph_runner.cc:123
#2  0x00007f4649756ec1 in base::SimpleThread::ThreadMain () at ../../3rdparty/chromium/base/threading/simple_thread.cc:68
#3  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#4  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f45f1ffb700 (LWP 4093)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f464974b699 in base::WaitableEvent::TimedWait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#2  0x00007f464974b6c7 in base::WaitableEvent::Wait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#3  0x00007f46497264fb in base::MessagePumpDefault::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4649757486 in base::Thread::Run () at ../../3rdparty/chromium/base/threading/thread.cc:245
#7  base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#8  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#9  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f45f27fc700 (LWP 4094)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f4649755c45 in base::SequencedWorkerPool::Inner::ThreadLoop () at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:1080
#2  0x00007f4649756127 in base::SequencedWorkerPool::Worker::Run () at ../../3rdparty/chromium/base/threading/sequenced_worker_pool.cc:611
#3  0x00007f4649756ec1 in base::SimpleThread::ThreadMain () at ../../3rdparty/chromium/base/threading/simple_thread.cc:68
#4  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#5  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f45f2ffd700 (LWP 4092)):
#0  0x00007f4658f45b56 in epoll_pwait () from /lib64/libc.so.6
#1  0x00007f46425be915 in ?? () from /usr/lib64/libevent-2.1.so.6
#2  0x00007f46425b4764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f4649726ad9 in base::MessagePumpLibevent::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:222
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4648fd88d8 in content::BrowserThreadImpl::IOThreadRun () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:253
#7  0x00007f4648fd8e8b in content::BrowserThreadImpl::Run () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:288
#8  0x00007f4649757538 in base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#9  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#10 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f45f37fe700 (LWP 4091)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f464974b699 in base::WaitableEvent::TimedWait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#2  0x00007f464974b6c7 in base::WaitableEvent::Wait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#3  0x00007f46497264fb in base::MessagePumpDefault::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4648fd8828 in content::BrowserThreadImpl::CacheThreadRun () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:247
#7  0x00007f4648fd8e7b in content::BrowserThreadImpl::Run () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:286
#8  0x00007f4649757538 in base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#9  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#10 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f45f3fff700 (LWP 4090)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f464974b699 in base::WaitableEvent::TimedWait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#2  0x00007f464974b6c7 in base::WaitableEvent::Wait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#3  0x00007f46497264fb in base::MessagePumpDefault::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4648fd8778 in content::BrowserThreadImpl::ProcessLauncherThreadRun () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:241
#7  0x00007f4648fd8e6b in content::BrowserThreadImpl::Run () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:284
#8  0x00007f4649757538 in base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#9  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#10 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f4614ff9700 (LWP 4089)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f464974b699 in base::WaitableEvent::TimedWait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#2  0x00007f464974b6c7 in base::WaitableEvent::Wait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#3  0x00007f46497264fb in base::MessagePumpDefault::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4648fd86c8 in content::BrowserThreadImpl::FileUserBlockingThreadRun () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:234
#7  0x00007f4648fd8e5b in content::BrowserThreadImpl::Run () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:282
#8  0x00007f4649757538 in base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#9  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#10 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f46157fa700 (LWP 4088)):
#0  0x00007f4658f52b5c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f4658f548b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f46425bcffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f46425bd194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f46425beabc in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f46425b4764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f4649726ad9 in base::MessagePumpLibevent::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:222
#7  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#8  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#9  0x00007f4648fd8618 in content::BrowserThreadImpl::FileThreadRun () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:227
#10 0x00007f4648fd8e4b in content::BrowserThreadImpl::Run () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:280
#11 0x00007f4649757538 in base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#12 0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#13 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f4615ffb700 (LWP 4087)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f464974b699 in base::WaitableEvent::TimedWait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#2  0x00007f464974b6c7 in base::WaitableEvent::Wait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#3  0x00007f46497264fb in base::MessagePumpDefault::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4648fd8568 in content::BrowserThreadImpl::DBThreadRun () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:221
#7  0x00007f4648fd8e3b in content::BrowserThreadImpl::Run () at ../../3rdparty/chromium/content/browser/browser_thread_impl.cc:278
#8  0x00007f4649757538 in base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#9  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#10 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f46177fe700 (LWP 4084)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f464974b699 in base::WaitableEvent::TimedWait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:219
#2  0x00007f464974b6c7 in base::WaitableEvent::Wait () at ../../3rdparty/chromium/base/synchronization/waitable_event_posix.cc:156
#3  0x00007f46497264fb in base::MessagePumpDefault::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_default.cc:55
#4  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#5  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#6  0x00007f4649757486 in base::Thread::Run () at ../../3rdparty/chromium/base/threading/thread.cc:245
#7  base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#8  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#9  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f4617fff700 (LWP 4083)):
#0  0x00007f4658f52b5c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f4658f548b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f46425bcffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f46425bd194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f46425beabc in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f46425b4764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f4649726b2d in base::MessagePumpLibevent::Run () at ../../3rdparty/chromium/base/message_loop/message_pump_libevent.cc:245
#7  0x00007f4649722dc8 in base::MessageLoop::RunHandler () at ../../3rdparty/chromium/base/message_loop/message_loop.cc:378
#8  0x00007f464973f85b in base::RunLoop::Run () at ../../3rdparty/chromium/base/run_loop.cc:35
#9  0x00007f4649757486 in base::Thread::Run () at ../../3rdparty/chromium/base/threading/thread.cc:245
#10 base::Thread::ThreadMain () at ../../3rdparty/chromium/base/threading/thread.cc:333
#11 0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#12 0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#13 0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f4620bc3700 (LWP 4082)):
#0  0x00007f4658f12e47 in waitpid () from /lib64/libc.so.6
#1  0x00007f464973b59e in WaitForChildToDie () at ../../3rdparty/chromium/base/process/kill_posix.cc:172
#2  ThreadMain () at ../../3rdparty/chromium/base/process/kill_posix.cc:165
#3  0x00007f464975355b in ThreadFunc () at ../../3rdparty/chromium/base/threading/platform_thread_posix.cc:71
#4  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f46295d5700 (LWP 4075)):
#0  0x00007f4654a618ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f462a27b92b in cnd_wait (mtx=0x55eb71f63258, cond=0x55eb71f63280) at ../../include/c11/threads_posix.h:155
#2  util_queue_thread_func (input=input@entry=0x7f462c005900) at u_queue.c:270
#3  0x00007f462a27b637 in impl_thrd_routine (p=<optimized out>) at ../../include/c11/threads_posix.h:87
#4  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f462bfff700 (LWP 4074)):
#0  0x00007f4658f3b19b in poll () from /lib64/libc.so.6
#1  0x00007f4652ba21a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f4659a9896b in QEventDispatcherGlib::processEvents (this=0x7f4624000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7f462bffec80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f465985bdaa in QThread::exec (this=this@entry=0x7f4658415d60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:515
#6  0x00007f46581a29e5 in QDBusConnectionManager::run (this=0x7f4658415d60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#7  0x00007f4659860ced in QThreadPrivate::start (arg=0x7f4658415d60 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:368
#8  0x00007f4654a5b569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f4658f459ef in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f465c5e6540 (LWP 4071)):
[KCrash Handler]
#6  std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=<optimized out>) at /usr/include/c++/7/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at ../../include/QtCore/../../src/corelib/arch/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=<optimized out>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:102
#9  QtPrivate::RefCount::isShared (this=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qrefcount.h:101
#10 QList<QWidget*>::append (this=0x55eb7251f958, t=@0x7ffe8fbc59f0: 0x55eb72e3c620) at ../../include/QtCore/../../src/corelib/tools/qlist.h:581
#11 0x00007f465a81f4c8 in QWidget::insertAction (this=this@entry=0x55eb72e3c620, before=<optimized out>, before@entry=0x0, action=0x55eb7258d6c0) at kernel/qwidget.cpp:3340
#12 0x00007f465b970196 in KXMLGUI::ActionList::plug (this=this@entry=0x55eb72f13d90, container=0x55eb72e3c620, index=<optimized out>) at /usr/src/debug/kxmlgui-5.55.0-lp151.1.1.x86_64/src/kxmlguifactory_p.cpp:45
#13 0x00007f465b97432a in KXMLGUI::ContainerNode::plugActionList (this=this@entry=0x55eb7383dde0, state=..., mergingIdxIt=@0x7ffe8fbc5b98: 0x55eb769830b8) at /usr/src/debug/kxmlgui-5.55.0-lp151.1.1.x86_64/src/kxmlguifactory_p.cpp:233
#14 0x00007f465b9744d6 in KXMLGUI::ContainerNode::plugActionList (this=0x55eb7383dde0, state=...) at /usr/src/debug/kxmlgui-5.55.0-lp151.1.1.x86_64/src/kxmlguifactory_p.cpp:203
#15 0x00007f465b97453b in KXMLGUI::ContainerNode::plugActionList (this=<optimized out>, state=...) at /usr/src/debug/kxmlgui-5.55.0-lp151.1.1.x86_64/src/kxmlguifactory_p.cpp:207
#16 0x00007f465b97453b in KXMLGUI::ContainerNode::plugActionList (this=<optimized out>, state=...) at /usr/src/debug/kxmlgui-5.55.0-lp151.1.1.x86_64/src/kxmlguifactory_p.cpp:207
#17 0x00007f465b96d93b in KXMLGUIFactory::plugActionList (this=0x55eb727b6b50, client=client@entry=0x55eb72678430, name=..., actionList=...) at /usr/src/debug/kxmlgui-5.55.0-lp151.1.1.x86_64/src/kxmlguifactory.cpp:574
#18 0x00007f465b963ea9 in KXMLGUIClient::plugActionList (this=this@entry=0x55eb72678430, name=..., actionList=...) at /usr/src/debug/kxmlgui-5.55.0-lp151.1.1.x86_64/src/kxmlguiclient.cpp:713
#19 0x00007f452c54ef7d in PimCommon::PluginInterface::initializePluginActions (this=<optimized out>, prefix=..., guiClient=0x55eb72678430) at /usr/src/debug/pimcommon-18.12.3-lp151.2.1.x86_64/src/pimcommonakonadi/genericplugins/plugininterface.cpp:156
#20 0x00007f452f56169e in KMMainWidget::initializePluginActions (this=<optimized out>) at /usr/src/debug/kmail-18.12.3-lp151.3.7.1.x86_64/src/kmmainwidget.cpp:4190
#21 0x00007f4659a6f05b in QObject::event (this=0x55eb72678400, e=<optimized out>) at kernel/qobject.cpp:1269
#22 0x00007f465a7e93dc in QApplicationPrivate::notify_helper (this=this@entry=0x55eb71f10560, receiver=receiver@entry=0x55eb72678400, e=e@entry=0x7ffe8fbc6170) at kernel/qapplication.cpp:3723
#23 0x00007f465a7f0ca4 in QApplication::notify (this=0x7ffe8fbc7510, receiver=0x55eb72678400, e=0x7ffe8fbc6170) at kernel/qapplication.cpp:3482
#24 0x00007f4659a3f8d8 in QCoreApplication::notifyInternal2 (receiver=receiver@entry=0x55eb72678400, event=event@entry=0x7ffe8fbc6170) at kernel/qcoreapplication.cpp:1024
#25 0x00007f465761c0c1 in QCoreApplication::sendEvent (event=0x7ffe8fbc6170, receiver=0x55eb72678400) at /usr/include/qt5/QtCore/qcoreapplication.h:233
#26 KParts::MainWindow::createGUI (this=0x7f451c0031e0, part=0x55eb72678400) at /usr/src/debug/kparts-5.55.0-lp151.1.1.x86_64/src/mainwindow.cpp:125
#27 0x00007f465c0129bc in Kontact::MainWindow::selectPlugin (this=0x7f451c0031e0, plugin=<optimized out>) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/src/mainwindow.cpp:784
#28 0x00007f465c0226d8 in Kontact::MainWindow::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/build/src/kontactprivate_autogen/EWIEGA46WW/moc_mainwindow.cpp:156
#29 0x00007f4659a6e535 in QMetaObject::activate (sender=0x55eb73bf54b0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe8fbc6400) at kernel/qobject.cpp:3767
#30 0x00007f4659a6ec07 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f465c22ea00 <Kontact::SidePaneBase::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe8fbc6400) at kernel/qobject.cpp:3629
#31 0x00007f465c0220af in Kontact::SidePaneBase::pluginSelected (this=<optimized out>, _t1=<optimized out>) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/build/src/kontactprivate_autogen/EWIEGA46WW/moc_sidepanebase.cpp:136
#32 0x00007f4659a6e64f in QtPrivate::QSlotObjectBase::call (a=0x7ffe8fbc6540, r=0x55eb73bf54b0, this=0x55eb76b18c20) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#33 QMetaObject::activate (sender=0x55eb724d9b00, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe8fbc6540) at kernel/qobject.cpp:3750
#34 0x00007f4659a6ec07 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7f465c22eac0 <Kontact::Navigator::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7ffe8fbc6540) at kernel/qobject.cpp:3629
#35 0x00007f465c02204f in Kontact::Navigator::pluginActivated (this=<optimized out>, _t1=<optimized out>) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/build/src/kontactprivate_autogen/EWIEGA46WW/moc_iconsidepane.cpp:155
#36 0x00007f4659a6e64f in QtPrivate::QSlotObjectBase::call (a=0x7ffe8fbc6670, r=0x55eb724d9b00, this=0x55eb739730d0) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:101
#37 QMetaObject::activate (sender=sender@entry=0x55eb728713d0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7ffe8fbc6670) at kernel/qobject.cpp:3750
#38 0x00007f4659a6ec07 in QMetaObject::activate (sender=sender@entry=0x55eb728713d0, m=m@entry=0x7f4659ef99c0 <QItemSelectionModel::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7ffe8fbc6670) at kernel/qobject.cpp:3629
#39 0x00007f46599eb23a in QItemSelectionModel::currentChanged (this=this@entry=0x55eb728713d0, _t1=..., _t2=...) at .moc/moc_qitemselectionmodel.cpp:486
#40 0x00007f46599eb52e in QItemSelectionModel::setCurrentIndex (this=0x55eb728713d0, index=..., command=...) at itemmodels/qitemselectionmodel.cpp:1412
#41 0x00007f465c019581 in Kontact::Navigator::setCurrentPlugin (this=0x55eb724d9b00, plugin=...) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/src/iconsidepane.cpp:420
#42 0x00007f465c0128d7 in Kontact::MainWindow::selectPlugin (this=0x7f451c0031e0, plugin=<optimized out>) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/src/mainwindow.cpp:755
#43 0x00007f465c01109c in Kontact::MainWindow::loadSettings (this=0x7f451c0031e0) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/src/mainwindow.cpp:855
#44 0x00007f465c014e05 in Kontact::MainWindow::initObject (this=this@entry=0x7f451c0031e0) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/src/mainwindow.cpp:252
#45 0x00007f465c015588 in Kontact::MainWindow::MainWindow (this=0x7f451c0031e0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/src/mainwindow.cpp:160
#46 0x000055eb712e170c in KontactApp::activate (this=0x7ffe8fbc7510, args=..., workingDir=...) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/src/main.cpp:133
#47 0x00007f465bde895e in KontactInterface::PimUniqueApplication::newInstance (this=0x7ffe8fbc7510, startupId=..., arguments=..., workingDirectory=...) at /usr/src/debug/kontactinterface-18.12.3-lp151.1.1.x86_64/src/pimuniqueapplication.cpp:183
#48 0x00007f465bde9ae3 in KontactInterface::PimUniqueApplication::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7ffe8fbc6bc0) at /usr/src/debug/kontactinterface-18.12.3-lp151.1.1.x86_64/build/src/KF5KontactInterface_autogen/EWIEGA46WW/moc_pimuniqueapplication.cpp:86
#49 0x00007f465bde9e93 in KontactInterface::PimUniqueApplication::qt_metacall (this=0x7ffe8fbc7510, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x7ffe8fbc6bc0) at /usr/src/debug/kontactinterface-18.12.3-lp151.1.1.x86_64/build/src/KF5KontactInterface_autogen/EWIEGA46WW/moc_pimuniqueapplication.cpp:119
#50 0x00007f46581add98 in QDBusConnectionPrivate::deliverCall (this=this@entry=0x7f4624003f00, object=object@entry=0x7ffe8fbc7510, msg=..., metaTypes=..., slotIdx=<optimized out>) at qdbusintegrator.cpp:998
#51 0x00007f46581b3049 in QDBusConnectionPrivate::activateCall (this=this@entry=0x7f4624003f00, object=0x7ffe8fbc7510, flags=81, msg=...) at qdbusintegrator.cpp:908
#52 0x00007f46581b3237 in QDBusConnectionPrivate::activateCall (msg=..., flags=<optimized out>, object=<optimized out>, this=0x7f4624003f00) at qdbusintegrator.cpp:850
#53 QDBusConnectionPrivate::activateObject (this=0x7f4624003f00, node=..., msg=..., pathStartPos=<optimized out>) at qdbusintegrator.cpp:1515
#54 0x00007f46581b5d2e in QDBusActivateObjectEvent::placeMetaCall (this=0x7f4624052660) at qdbusintegrator.cpp:1611
#55 0x00007f4659a6f0a2 in QObject::event (this=this@entry=0x7ffe8fbc7510, e=e@entry=0x7f4624052660) at kernel/qobject.cpp:1247
#56 0x00007f4659a468fc in QCoreApplication::event (this=this@entry=0x7ffe8fbc7510, e=e@entry=0x7f4624052660) at kernel/qcoreapplication.cpp:1834
#57 0x00007f465a0125f4 in QGuiApplication::event (this=this@entry=0x7ffe8fbc7510, e=e@entry=0x7f4624052660) at kernel/qguiapplication.cpp:1698
#58 0x00007f465a7ef28f in QApplication::event (this=0x7ffe8fbc7510, e=0x7f4624052660) at kernel/qapplication.cpp:2023
#59 0x00007f465a7e93dc in QApplicationPrivate::notify_helper (this=this@entry=0x55eb71f10560, receiver=receiver@entry=0x7ffe8fbc7510, e=e@entry=0x7f4624052660) at kernel/qapplication.cpp:3723
#60 0x00007f465a7f0ca4 in QApplication::notify (this=0x7ffe8fbc7510, receiver=0x7ffe8fbc7510, e=0x7f4624052660) at kernel/qapplication.cpp:3482
#61 0x00007f4659a3f8d8 in QCoreApplication::notifyInternal2 (receiver=0x7ffe8fbc7510, event=event@entry=0x7f4624052660) at kernel/qcoreapplication.cpp:1024
#62 0x00007f4659a4204d in QCoreApplication::sendEvent (event=0x7f4624052660, receiver=<optimized out>) at kernel/qcoreapplication.h:233
#63 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x55eb71ef9090) at kernel/qcoreapplication.cpp:1699
#64 0x00007f4659a425d8 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1553
#65 0x00007f4659a99323 in postEventSourceDispatch (s=0x55eb71f6da10) at kernel/qeventdispatcher_glib.cpp:276
#66 0x00007f4652ba1e87 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#67 0x00007f4652ba2230 in ?? () from /usr/lib64/libglib-2.0.so.0
#68 0x00007f4652ba22bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#69 0x00007f4659a9894f in QEventDispatcherGlib::processEvents (this=0x55eb71f7c5b0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#70 0x00007f4659a3d90a in QEventLoop::exec (this=this@entry=0x7ffe8fbc73e0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#71 0x00007f4659a469b4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1297
#72 0x000055eb712e08ad in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/kontact-18.12.3-lp151.1.2.x86_64/src/main.cpp:229
[Inferior 1 (process 4071) detached]

The reporter indicates this bug may be a duplicate of or related to bug 409110, bug 401739.

Possible duplicates by query: bug 409248, bug 409110, bug 406411, bug 406165, bug 404679.

Reported using DrKonqi
Comment 1 stakanov.s 2019-07-29 20:23:50 UTC
Created attachment 121820 [details]
New crash information added by DrKonqi

kontact (5.10.3) using Qt 5.9.7

- What I was doing when the application crashed:
This is apparently a fix relationship: 
when the filter for a certain email account is served, the memory leak appears. 
You close Kontact and then you stop akonadictl. The memory normalizes. (From 6 GB to 2 GB roughly). Normally now, when restarting Kontakt it should not crash. Instead it does. 

- Unusual behavior I noticed:
Filter is served, memory leaks appears. Subsequent activation of Kontact does result in segfault crash. 

- Custom settings of the application:
The filter is a filter applied on all pop accounts. Every try to limit this to one account results in the empty window asking for "what account should we attribute the filter to". 
The spam is filtered via spamd with an extended time out (otherwise it would not run as a deamon - this is apparently an issue in 15.1). 
Archival function may or may not have run when experiencing this error.

-- Backtrace (Reduced):
#6  std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=<error reading variable: Cannot access memory at address 0x119>) at /usr/include/c++/7/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=<error reading variable: Cannot access memory at address 0x119>) at ../../include/QtCore/../../src/corelib/arch/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=<error reading variable: Cannot access memory at address 0x119>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:102
#9  QtPrivate::RefCount::isShared (this=<error reading variable: Cannot access memory at address 0x119>) at ../../include/QtCore/../../src/corelib/tools/qrefcount.h:101
#10 QList<QWidget*>::append (this=0x119, t=@0x7ffcbb7b5f70: 0x5561cf7bd120) at ../../include/QtCore/../../src/corelib/tools/qlist.h:581
Comment 2 Christoph Feck 2019-08-05 20:01:27 UTC

*** This bug has been marked as a duplicate of bug 401739 ***